package dvp.swing.bases.listes.modeles;

import java.util.ArrayList;

public class ModifiableStringModel extends StringModel {
	public ModifiableStringModel(){
		super();
	}
	
	public ModifiableStringModel(String[] strings){
		super(strings);
	}
	
	public void clearStrings(){
		int oldSize = getStrings().size();
		getStrings().clear();
		fireIntervalRemoved(this, 0, oldSize);
	}
	
	public void addString(String string){
		getStrings().add(string);
		int size = getStrings().size();
		fireIntervalAdded(this, size, size);
	}
	
	public void removeString(String string){
		int position = getStrings().indexOf(string);
		getStrings().remove(position);
		fireIntervalRemoved(this, position, position);
	}
}